%define	pre	pre44
Summary:	Free versions of the 35 standard PostScript fonts
Summary(pl.UTF-8):	Wolnodostępne wersje 35 standardowych fontów postscriptowych
Name:		fonts-Type1-urw
Version:	1.0.7
Release:	0.%{pre}.1
License:	GPL v2
Group:		Fonts
Source0:	https://distfiles.macports.org/urw-fonts/urw-fonts-%{version}%{pre}.tar.bz2
# Source0-md5:	51c6c2690593cd9bd92f197a6f2ff8bd
Source1:	%{name}.Fontmap
BuildRequires:	xorg-app-mkfontscale
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1
Provides:	ghostscript-fonts-std
Obsoletes:	ghostscript-fonts-std
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		t1fontsdir	%{_fontsdir}/Type1
%define		t1afmdir	%{t1fontsdir}/afm
%define		t1pfmdir	%{t1fontsdir}/pfm

%description
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH. The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

%description -l pl.UTF-8
Wolnodostępne, dobrej jakości wersje 35 standardowych fontów
postscriptowych, wydanych na licencji GPL przez URW++ Design and
Development GmbH. Plik fonts.dir zawiera nazwy fontów pasujące do
oryginalnych nazw Adobe (np. Times, Helvetica itd.).

%prep
%setup -q -c

%build
%{_bindir}/mkfontscale .
tail -n +2 fonts.dir > fonts.dir.raw
LC_ALL=C sort -t- -k1,13 -u fonts.dir.raw > fonts.dir.sorted
join -j1 -t- -o1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9,1.10,1.11,1.12,1.13,2.14,2.15 fonts.dir.sorted fonts.scale > fonts.scale.add
LC_ALL=C sort -u fonts.dir.raw fonts.scale.add > fonts.scale.urw

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{t1fontsdir},%{t1afmdir},%{t1pfmdir}}
cp -p *.pfb $RPM_BUILD_ROOT%{t1fontsdir}
cp -p *.afm $RPM_BUILD_ROOT%{t1afmdir}
cp -p *.pfm $RPM_BUILD_ROOT%{t1pfmdir}

cp -p fonts.scale.urw $RPM_BUILD_ROOT%{t1fontsdir}/fonts.scale.urw
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{t1fontsdir}/Fontmap.urw

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc README* ChangeLog
%{t1fontsdir}/Fontmap.urw
%{t1fontsdir}/fonts.scale.urw
%{t1fontsdir}/*.pfb
%{t1afmdir}/*.afm
%{t1pfmdir}/*.pfm
%changelog
* Sun Oct 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-Type1-urw.git;a=log;h=master

* Sun Oct 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f06317
- up to 1.0.7pre44

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> a993476
- release 0.pre43.4 (by relup.sh)

* Sat Feb 02 2008 dzeus <dzeus@pld-linux.org> 8b14962
- rel. ++

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 9e00073
- better fonts.scale: get original font names from supplied fonts.dir, but add
  remaining encodings from autogenerated fonts.scale
- merged .Fontmap from ghostscript-fonts-std
- install pfm metrics
- GPL v2 (as specified in included COPYING file)

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ccfab4
- copied from ghostscript-fonts-std

* Tue Dec 25 2007 Jakub Bogusz <qboosh@pld-linux.org> c5b6de1
- pl
- different versioning scheme, no sense in g-f-s P: versioned with VR

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 943fed2
- add changelog to docs

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 94dcfa9
- provide fonts.scale

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bbd7e00
- P/O ghostscript-fonts-std

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fee9ff
- maintained urw fonts

